<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';

$id = ( int ) $_POST['id'];

$proverka = mysql_num_rows( mysql_query( "SELECT id FROM banners where id = '" . $id . "' and iduser = '" . $_SESSION['iduser'] . "' LIMIT 1" ) );

if ( $proverka == 0 ) {
    echo '<div class="error" style="margin:10px" align="center"><b>Ошибка!</b> Рекламная площадка удалена или не принадлежит Вам.</div>';
} else {
    ?>
    <div class="infotext"><b>Пополнить</b> рекламную площадку, можно на любую сумму, но не меньше <b><?=$config['minpay']?> <?=$config['valutaname']?></b> Сумма должна быть целым числом, в противном случае, сумма будет приведена к целому числу - <u>автоматически</u>.</div>
    <div style="padding: 5px; font-size: 14px; text-align: center; margin-bottom: 20px;">
		Укажите сумму пополнения:&nbsp;&nbsp;&nbsp;
		<input type="text" id="money" class="val" value="<?=$config['minpay']?>" style="width: 70px;" />
	</div>
    <div class="preloader"></div><a href="#" onclick="addbasket(); return false;" class="btn_box_modal">В корзину</a>
	<div class="erroralert_modal" ></div>
    <?
}
?>
<script type="text/javascript">
function addbasket() {
    $('.preloader').css({display:'block'});
    $.post('ajax.php?func=addbasket',{
        id : <?=$id?>,
        money: $('#money').val(),
        type: 'ban468x60'
    }, function(data){
        if (data == 1){
            box_close();
            reloadpage.leftprofiles();
        } else {
            $('.erroralert_modal').fadeIn().html(data);
					setTimeout(function() {
						$('.erroralert_modal').fadeOut().html('&nbsp;');
					}, 4000);
        }
    });
    return false;
}
</script>